Cases
Cases are used to open and track issues. You can add assignees and tags to your cases, set their severity and status, and add alerts, comments, and visualizations. You can also send cases to external incident management systems by configuring connectors.
-
Create a case
- POST /api/cases
-
Update cases
- PATCH /api/cases
-
Delete cases
- DELETE /api/cases
-
Search cases
- GET /api/cases/_find
-
Get cases for an alert
Stack
Preview
- GET /api/cases/alerts/{alertId}
-
Get case settings
- GET /api/cases/configure
-
Add case settings
- POST /api/cases/configure
-
Get case connectors
- GET /api/cases/configure/connectors/_find
-
Update case settings
- PATCH /api/cases/configure/{configurationId}
-
Get all field definitions
Stack
Preview
- GET /api/cases/field_definitions
-
Create a field definition
Stack
Preview
- POST /api/cases/field_definitions
-
Get a field definition by ID
Stack
Preview
- GET /api/cases/field_definitions/{field_definition_id}
-
Update a field definition
Stack
Preview
- PUT /api/cases/field_definitions/{field_definition_id}
-
Delete a field definition
Stack
Preview
- DELETE /api/cases/field_definitions/{field_definition_id}
-
Get the fields applicable to a case
- GET /api/cases/fields
-
Get case creators
- GET /api/cases/reporters
-
Get case tags
- GET /api/cases/tags
-
Get all case templates
- GET /api/cases/templates
-
Create a case template
Stack
Preview
- POST /api/cases/templates
-
Get a case template by ID
- GET /api/cases/templates/{template_id}
-
Update a case template
Stack
Preview
- PUT /api/cases/templates/{template_id}
-
Delete a case template
Stack
Preview
- DELETE /api/cases/templates/{template_id}
-
Get case information
- GET /api/cases/{caseId}
-
Get all alerts for a case
Stack
Preview
- GET /api/cases/{caseId}/alerts
-
Find case attachments
Stack
Planned
- GET /api/cases/{caseId}/attachments
-
Create a case attachment
Stack
Planned
- POST /api/cases/{caseId}/attachments
-
Delete all case attachments
Stack
Planned
- DELETE /api/cases/{caseId}/attachments
-
Get a case attachment
Stack
Planned
- GET /api/cases/{caseId}/attachments/{attachmentId}
-
Replace a case attachment
Stack
Planned
- PUT /api/cases/{caseId}/attachments/{attachmentId}
-
Delete a case attachment
Stack
Planned
- DELETE /api/cases/{caseId}/attachments/{attachmentId}
-
Add a case comment or alert
- POST /api/cases/{caseId}/comments
-
Update a case comment or alert
- PATCH /api/cases/{caseId}/comments
-
Delete all case comments and alerts
- DELETE /api/cases/{caseId}/comments
-
Find case comments
- GET /api/cases/{caseId}/comments/_find
-
Get a case comment or alert
- GET /api/cases/{caseId}/comments/{commentId}
-
Delete a case comment or alert
- DELETE /api/cases/{caseId}/comments/{commentId}
-
Push a case to an external service
- POST /api/cases/{caseId}/connector/{connectorId}/_push
-
Get the fields applicable to an existing case
- GET /api/cases/{caseId}/fields
-
Attach a file to a case
- POST /api/cases/{caseId}/files
-
Find case activity
- GET /api/cases/{caseId}/user_actions/_find